Listar certificados del trust-store
curl --request GET \
--url https://sta.sandbox.lerian.net/v1/certificates \
--header 'Authorization: Bearer <token>'import requests
url = "https://sta.sandbox.lerian.net/v1/certificates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sta.sandbox.lerian.net/v1/certificates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"certificates": [
{
"alias": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"fingerprint": "<string>",
"id": "<string>",
"issuer": "<string>",
"serialNumber": "<string>",
"subject": "<string>",
"uploadedBy": "<string>",
"validFrom": "2023-11-07T05:31:56Z",
"validUntil": "2023-11-07T05:31:56Z",
"description": "<string>",
"uploadedByName": "<string>"
}
],
"nextCursor": "<string>"
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}Listar certificados del trust-store
Devuelve los certificados del trust-store del tenant con paginación por cursor opaco. Pasa el nextCursor de una página anterior para obtener la página siguiente. El servicio ajusta el tamaño de página al máximo configurado.
GET
/
v1
/
certificates
Listar certificados del trust-store
Autorizaciones
JWT bearer token issued by the identity provider.
Parámetros de consulta
Page size; clamped to the configured max by the service
Ejemplo:
20
Opaque pagination cursor from a previous response
¿Esta página le ayudó?
⌘I

